﻿using System;
using System.Collections.ObjectModel;
using System.Windows;
using System.Windows.Controls;
using Telerik.Windows.Controls.Map;

namespace LayersBinding
{
    public partial class MainPage : UserControl
    {
        private ObservableCollection<object> layers = new ObservableCollection<object>();
        public ObservableCollection<object> Layers
        {
            get
            {
                return layers;
            }
            set
            {
                layers = value;
            }
        }

        private Random rnd = new Random();

        public MainPage()
        {
            InitializeComponent();

            this.DataContext = this;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            var layer = new InformationLayer();
            var pin = new Pushpin();

            double latitude = 30d + this.rnd.NextDouble() * 10d;
            double longitude = -90d - this.rnd.NextDouble() * 20d;

            MapLayer.SetLocation(pin, new Location(latitude, longitude));
            layer.Items.Add(pin);
            layers.Add(layer);
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            if (layers.Count > 0)
            {
                layers.RemoveAt(0);
            }
        }
    }
}
